com.dlsc.flexgantt.command.layer

## Class DefaultChangeMultipleTimelineObjectsTimeSpanCommand

- java.lang.Object
- - com.dlsc.flexgantt.command.AbstractCommand
  - - com.dlsc.flexgantt.command.AbstractCompoundCommand<DefaultChangeTimelineObjectTimeSpanCommand>
    - - com.dlsc.flexgantt.command.layer.DefaultChangeMultipleTimelineObjectsTimeSpanCommand

- All Implemented Interfaces:
    ICommand, Serializable

      public class DefaultChangeMultipleTimelineObjectsTimeSpanCommand
      extends AbstractCompoundCommand<DefaultChangeTimelineObjectTimeSpanCommand>

  A command that will change the time span of several timeline objects at the same time. The command is only suitable in situations where the model is an instance of `DefaultGanttChartModel` and the timeline objects implements the `ITimelineObject` interface.
  Since:
    1.1
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `IEditTimelineObjectPolicy`, `IEditTimelineObjectPolicy.getChangeTimeSpansCommand(com.dlsc.flexgantt.model.gantt.IGanttChartModel, List, List, int)`, `ITimelineObject.setTimeSpan(ITimeSpan)`, `DefaultGanttChartModel.setTimeSpan(ITimelineObject, ITimeSpan)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultChangeMultipleTimelineObjectsTimeSpanCommand(DefaultGanttChartModel model, List<TimelineObjectPath> timelineObjects, List<ITimeSpan> timeSpans, int dropAction)` Constructs a new command.

  - ### Method Summary

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCompoundCommand

      `addCommand, executeCommand, getCommand, getCommandCount, isRedoable, isUndoable, redoCommand, removeCommand, setCommands, undoCommand`

    - ### Methods inherited from class com.dlsc.flexgantt.command.AbstractCommand

      `getName, isRelevant, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultChangeMultipleTimelineObjectsTimeSpanCommand

          public DefaultChangeMultipleTimelineObjectsTimeSpanCommand(DefaultGanttChartModel model,
                                                                     List<TimelineObjectPath> timelineObjects,
                                                                     List<ITimeSpan> timeSpans,
                                                                     int dropAction)

      Constructs a new command.
      Parameters:
        `timelineObjects` - the timeline objects that will be modified by the command
        `model` - the model from which the timeline object originated
        `timeSpans` - the new time spans that will be assgined to the timeline objects
        `dropAction` - the type of drop performed by the user (possible values are defined in `DnDConstants`)
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.